GNU Radio's GSM Package: gr::gsm::receiver_impl Class Reference

GNU Radio's GSM Package

Public Member Functions | List of all members
gr::gsm::receiver_impl Class Reference

`#include <receiver_impl.h>`

Inheritance diagram for gr::gsm::receiver_impl:

## Public Member Functions
| receiver_impl (int osr, const std::vector< int > &cell_allocation, const std::vector< int > &tseq_nums, bool process_uplink)
| ~receiver_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
virtual void | set_cell_allocation (const std::vector< int > &cell_allocation)
virtual void | set_tseq_nums (const std::vector< int > &tseq_nums)
virtual void | reset ()

## Additional Inherited Members
Public Types inherited from gr::gsm::receiver
typedef boost::shared_ptr< receiver > | sptr
Static Public Member Functions inherited from gr::gsm::receiver
static sptr | make (int osr, const std::vector< int > &cell_allocation, const std::vector< int > &seq_nums, bool process_uplink=false)
| Return a shared_ptr to a new instance of gsm::receiver. More...

## Constructor & Destructor Documentation

## ◆ receiver_impl()

gr::gsm::receiver_impl::receiver_impl | ( | int | osr,
|  | const std::vector< int > & | cell_allocation,
|  | const std::vector< int > & | tseq_nums,
|  | bool | process_uplink
| ) |  |

## ◆ ~receiver_impl()

gr::gsm::receiver_impl::~receiver_impl | ( |  | ) |

## Member Function Documentation

## ◆ reset()

virtual void gr::gsm::receiver_impl::reset | ( |  | ) |
| virtual

Implements gr::gsm::receiver.

## ◆ set_cell_allocation()

virtual void gr::gsm::receiver_impl::set_cell_allocation | ( | const std::vector< int > & | cell_allocation | ) |
| virtual

Implements gr::gsm::receiver.

## ◆ set_tseq_nums()

virtual void gr::gsm::receiver_impl::set_tseq_nums | ( | const std::vector< int > & | tseq_nums | ) |
| virtual

Implements gr::gsm::receiver.

## ◆ work()

int gr::gsm::receiver_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- receiver_impl.h